Summary:        VNC client using HTML5 (Web Sockets, Canvas) with encryption support
Name:           novnc
Version:        1.4.0
Release:        3%{?dist}
License:        GPLv3
URL:            https://github.com/novnc/noVNC
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires:  python3-devel
Requires:       python3-websockify which

BuildArch:      noarch

%description
noVNC is both a HTML VNC client JavaScript library and an application built on
top of that library. noVNC runs well in any modern browser including mobile
browsers (iOS and Android).

%prep
%autosetup -n noVNC-%{version}

%build

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}/
cp -r * %{buildroot}/%{_datadir}/%{name}/

# Drop snap related files from the main package
rm -rf %{buildroot}/%{_datadir}/%{name}/snap/

# Drop tests from the main package
rm -rf %{buildroot}/%{_datadir}/%{name}/tests/

# Drop utils from the main package
rm -rf %{buildroot}/%{_datadir}/%{name}/utils/

# Drop some po utilities from the main package
rm %{buildroot}/%{_datadir}/%{name}/po/Makefile
rm %{buildroot}/%{_datadir}/%{name}/po/po2js
rm %{buildroot}/%{_datadir}/%{name}/po/xgettext-html

# provide an index file to prevent default directory browsing
install -m 444 vnc.html %{buildroot}/%{_datadir}/%{name}/index.html

# install a copy of the new vnc_lite.html page as the old <1.0.0 vnc_auto.html page
install -m 444 vnc_lite.html %{buildroot}/%{_datadir}/%{name}/vnc_auto.html

# Install novnc_proxy and the legacy novnc_server
mkdir -p %{buildroot}/%{_bindir}/
install utils/novnc_proxy  %{buildroot}/%{_bindir}/%{name}_server
install utils/novnc_proxy  %{buildroot}/%{_bindir}/%{name}_proxy

# Install the man page for both
mkdir -p %{buildroot}/%{_mandir}/man1/
install docs/novnc_proxy.1 %{buildroot}/%{_mandir}/man1/%{name}_proxy.1
install docs/novnc_proxy.1 %{buildroot}/%{_mandir}/man1/%{name}_server.1

%files
%license LICENSE.txt
%doc README.md docs/API.md docs/EMBEDDING.md docs/LIBRARY.md
%{_bindir}/%{name}_server
%{_bindir}/%{name}_proxy
%{_datadir}/%{name}
%{_mandir}/man1/%{name}_proxy.1.gz
%{_mandir}/man1/%{name}_server.1.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-3
- Rebuilt for loongarch release

* Thu Nov 2 2023 Shuo Wang <abushwang@tencent.com> - 1.4.0-2
- remove additional summary
- spec adjustment

* Sat Oct 7 2023 Shuo Wang <abushwang@tencent.com> - 1.4.0-1
- update to 1.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Sat May 6 2023 Shuo Wang <abushwang@tencent.com> - 1.3.0-1
- initial build
